execute @a[score_Relog_min=1] ~ ~ ~ function game:relog
execute @a[tag=!Registered] ~ ~ ~ function game:newplayer

setblock 8 49 8 air

function game:tutorial

scoreboard players add @a regendelay 1
scoreboard players set @a[score_regendelay_min=40] regendelay 0

execute @e[type=armor_stand,tag=rocket] ~ ~ ~ function game:rocket
scoreboard players tag @a remove intutorialarea
execute @a ~ ~ ~ detect ~ 74 ~ barrier 0 scoreboard players tag @s add intutorialarea
execute @e[type=armor_stand,name=FP] ~ ~ ~ function game:tutorialanimation

execute @e[type=area_effect_cloud,tag=TeamAEC] ~ ~ ~ function game:extraresources

scoreboard players tag @e[type=item,tag=supplypackage] remove supplypackage {OnGround:1b}
kill @e[type=item,tag=!supplypackage]

fill 19 49 -3 19 49 19 minecraft:air
fill 19 49 19 -3 49 19 minecraft:air
fill -3 49 19 -3 49 -3 minecraft:air
fill -3 49 -3 19 49 -3 minecraft:air


execute @e[c=1,name=home,type=armor_stand,score_Health=0] ~ ~ ~ function game:colorfall

execute @e[type=area_effect_cloud,tag=TeamAEC] ~ ~ ~ function game:leave
scoreboard players set @e[type=area_effect_cloud,name=FakePlayer,tag=Someoneleft] Teams 0
execute @e[type=area_effect_cloud,name=FakePlayer,tag=Someoneleft] ~ ~ ~ execute @e[name=home,type=armor_stand] ~ ~ ~ scoreboard players add @e[name=FakePlayer,type=area_effect_cloud] Teams 1
execute @e[type=area_effect_cloud,name=FakePlayer,tag=Someoneleft,score_Teams=1] ~ ~ ~ function game:win

effect @a instant_health 1000000 0 true
effect @a saturation 1000000 0 true
effect @a weakness 1000000 10 true
effect @a night_vision 1000000 0 true

execute @e[tag=TeamAEC,type=area_effect_cloud] ~ ~ ~ function game:teamaecstuff
execute @p[tag=red] ~ ~ ~ function game:reditems
execute @p[tag=blue] ~ ~ ~ function game:blueitems
execute @p[tag=green] ~ ~ ~ function game:greenitems
execute @p[tag=yellow] ~ ~ ~ function game:yellowitems

function game:homeregen

execute @a[tag=Join] ~ ~ ~ function game:join

execute @e[name=FakePlayer,type=area_effect_cloud,score_GameStart_min=1] ~ ~ ~ function game:startgame

scoreboard players set @a Hotbar 1 {SelectedItemSlot:0}
scoreboard players set @a Hotbar 2 {SelectedItemSlot:1}
scoreboard players set @a Hotbar 3 {SelectedItemSlot:2}
scoreboard players set @a Hotbar 4 {SelectedItemSlot:3}
scoreboard players set @a Hotbar 5 {SelectedItemSlot:4}
scoreboard players set @a Hotbar 6 {SelectedItemSlot:5}
scoreboard players set @a Hotbar 7 {SelectedItemSlot:6}
scoreboard players set @a Hotbar 8 {SelectedItemSlot:7}
scoreboard players set @a Hotbar 9 {SelectedItemSlot:8}

execute @e[type=area_effect_cloud,tag=TeamAEC] ~ ~ ~ function game:itemcost

function game:items

execute @e[type=squid] ~ ~ ~ function game:deadlylaser
execute @e[type=armor_stand,tag=LaserBeam] ~ ~ ~ function game:laserbeam


execute @e[type=squid] ~ ~ ~ function game:placeitem

execute @e[type=area_effect_cloud] ~ ~ ~ function game:backroundprocessing
execute @a[tag=ingame,score_Hotbar_min=9,score_Hotbar=9] ~ ~ ~ summon falling_block ~ ~1 ~ {Block:piston_extension,NoGravity:1}

execute @a[score_Hotbar_min=9,score_Hotbar=9,score_rightclick_min=1,tag=red] ~ ~ ~ detect ~ 49 ~ stained_glass 6 setblock ~ 51 ~ air
execute @a[score_Hotbar_min=9,score_Hotbar=9,score_rightclick_min=1,tag=green] ~ ~ ~ detect ~ 49 ~ stained_glass 13 setblock ~ 51 ~ air
execute @a[score_Hotbar_min=9,score_Hotbar=9,score_rightclick_min=1,tag=blue] ~ ~ ~ detect ~ 49 ~ stained_glass 9 setblock ~ 51 ~ air
execute @a[score_Hotbar_min=9,score_Hotbar=9,score_rightclick_min=1,tag=yellow] ~ ~ ~ detect ~ 49 ~ stained_glass 1 setblock ~ 51 ~ air
title @a[score_rightclick_min=1] actionbar {"text":"Delete mode on. Walk on your buildings to remove them. Right-click again to turn off.","color":"red","bold":"true"}

title @a[score_Hotbar_min=9,score_rightclick_min=0,score_rightclick=0] actionbar {"text":" "}


scoreboard players set @a[score_rightclick_min=2] rightclick 0
scoreboard players set @a[score_Hotbar=8] rightclick 0

scoreboard players add @e[type=area_effect_cloud,name=FakePlayer] soundtime 1
execute @e[type=armor_stand,tag=building] ~ ~ ~ function game:buildings
execute @r[type=armor_stand,tag=building,score_soundtime=0] ~ ~ ~ execute @s[tag=online] ~ ~ ~ function game:sound if @e[type=area_effect_cloud,name=FakePlayer,score_soundtime_min=10]
execute @r[type=armor_stand,name=tutorial,score_soundtime=0] ~ ~ ~ function game:tutorialsound if @e[type=area_effect_cloud,name=FakePlayer,score_soundtime_min=10]
execute @e[type=armor_stand,name=tutorial,score_soundtime_min=0] ~ ~ ~ function game:tutorialsoundtime


scoreboard players set @e[type=area_effect_cloud,name=FakePlayer,score_soundtime_min=10] soundtime 0
execute @e[type=armor_stand,name=Plane] ~ ~ ~ function game:planes
execute @e[type=armor_stand,name=Package] ~ ~ ~ function game:package

execute @e[type=area_effect_cloud,tag=TeamAEC,score_resourcetime_min=50] ~ ~ ~ function game:sidebardisplay

particle flame 29.5 71.1 16.5 0 -2 0 0.3 0

particle cloud 29.5 71.1 16.5 0 -2 0 0.3 0